1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Update to v2.80?

Discussion in 'Sony PSP - Mod and firmware discussion' started by HelllpLol, Jul 5, 2007.

  1. HelllpLol

    HelllpLol Member

    Joined:
    Jul 4, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    Should i update my v2.71 psp to v2.80? its TA-082 and people post that you shouldnt? i heard of a really safe way of downgrading 2.80 to 1.50 from the Noobz website.

    Should i upgrade?? and is this a real or fake 2.80 update? >>>



    if you read on the bottom people say not to upgrade...? why.....
     
    Last edited: Jul 5, 2007
  2. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    There is a 2.71 downgrader, just use that. Some people have reported that 2.80 downgrader is unstable, and have caused bricks. But the most stable ones are 3.03 and 3.50 downgraders. They require GTA:LCS and Luminus respectively.
     

Share This Page